# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 1.2.0 - 2021-01-21

### Added

  - API for ArrayTools, ThreadUtils, AbstractPackedMap, AbstractWeakPackedMap, IdentityPackedMap, PackedMap, WeakIdentityPackedMap and WeakPackedMap (since basictool 1.3.0).
  
## 1.1.0 - 2019-11-27

### Changed

  - Use MMM.
  
## 1.0.1 - 2018-05-25

### Fixed

  - P0095F-630: Import APIs using a larger range, so all versions with the same major are accepted.

## 1.0.0 - 2017-09-01

### Added

  - Initial public revision.
  
---
_Copyright 2016-2021 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._  