# Overview

This library provides some tools to profile your code:

* `com.microej.profiling.AutomaticProfiler` can be used to print some value automatically
* `com.microej.profiling.SampleProfiler` can be used to get the profile of some key sections

Each `com.microej.profiling.profiler.Profiler` can provide some static function to print its values at the instant.


# Usage

Add the following line to your `module.ivy`:
	
    <dependency org="com.microej.library" name="profiling" rev="0.5.0"/>
	
# Requirements

This library requires the following Foundation Libraries:

    BON-1.3, EDC-1.2

# Dependencies

_All dependencies are retrieved transitively by Ivy resolver_.

# Source

N/A

# Restrictions

None.

---  
_Markdown_  
_Copyright 2018-2019 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._  