/*
 * Java
 *
 * Copyright 2016-2017 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.wadapps.rcommand;

import ej.wadapps.admin.Application;
import ej.wadapps.admin.ApplicationOperationException;

/**
 *
 */
public class StopCommand extends LifeCycleCommand {

	/**
	 */
	public StopCommand() {
		super(CommandConstants.STOP_APPLICATION, CommandConstants.STOP_APPLICATION_SUCCESS,
				CommandConstants.STOP_APPLICATION_ERROR);
	}

	@Override
	protected void lifeCycleOperation(Application application)
			throws IllegalStateException, SecurityException, ApplicationOperationException {
		application.stop();
	}
}
