/*
 * Java
 *
 * Copyright 2016-2021 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.wadapps.rcommand;

import ej.wadapps.admin.Application;
import ej.wadapps.admin.ApplicationOperationException;

/**
 *
 */
public class UninstallCommand extends LifeCycleCommand {

	/**
	 */
	public UninstallCommand() {
		super(CommandConstants.UNINSTALL_APPLICATION, CommandConstants.UNINSTALL_APPLICATION_SUCCESS,
				CommandConstants.UNINSTALL_APPLICATION_ERROR);
	}

	@Override
	protected void lifeCycleOperation(Application application)
			throws IllegalStateException, SecurityException, ApplicationOperationException {
		application.uninstall();
	}

}
