# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 2.1.1 - 2021-05-04

### Fixed

- Update addon processor dependency.

## 2.1.0 - 2019-09-26

### Added

- Add application ownership helper.
- Add application installer.
- Bump the version of the service dependency.

### Changed

- Use MMM for dependencies declaration.

## 2.0.0 - 2019-03-21

### Removed

- Remove applications lifecycle example (Activity, BackgroundService, etc.) from standard framework.
- Remove dynamic application installation.
- Extract storage API.

## 1.7.3 - 2019-09-24

### Changed

- Depends on the framework processor to generate necessary files (entry point, services, bundles, etc.).

## 1.7.2 - 2018-09-13

### Fixed

- Minimal Firmware Kernel does not boot (NPE in SharedRegistryFactory clinit).

## 1.7.1 - 2018-05-02

### Fixed

- Reduce map size in SharedRegistryImpl.

## 1.7.0 - 2018-04-27

### Added

- Added `move()` to storage.
- Added `exists()` to storage.
- Added `execute()` to `ApplicationsManager`.
- Added `execute(IProgressMonitor)` to `ApplicationsManager`.

### Changed

- Deprecated `Application.install()`, obsoleted by `ApplicationsManager.install()`.

## 1.6.0 - 2017-12-04

### Added

- Integration of signed command.

## 1.5.0 - 2017-09-15

### Added

- `SharedProperties` and `PropertyLoader` available.

## 1.4.0 - 2017-03-24

### Changed

- Updated to comply with components 3.1+

### Fixed

- Failures in wadapps activities lifecycle methods should be reported to the caller.

## 1.3.0 - 2016-05-30

### Changed

- ApplicationMetadatProvider is observable.

## 1.2.2 - 2016-04-01

- Initial public revision.

___
_Copyright 2016-2021 IS2T. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break IS2T warranties on the whole library._  
