/*
 * Java
 *
 * Copyright 2014-2015 IS2T. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be found at http://www.is2t.com/open-source-bsd-license/.
 */
package ej.wadapps.app;


/**
 * Service that runs in background.
 */
public interface BackgroundService {
	/**
	 * Starts the background service.
	 */
	void onStart();

	/**
	 * Stops the background service.
	 * <p>
	 * All resources must have been released when this method returns.
	 */
	void onStop();

}
