<!--
	Markdown
	Copyright 2017-2021 MicroEJ Corp. All rights reserved.
	MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
-->

## 1.9.0 - 2021-08-06

### Changed
  - Update wadapps-rcommand to 3.1.0.
  - Update wadapps-rcommand-impl to version 1.2.0.

## 1.8.0 - 2021-08-05

### Changed
  - Update wadapps-rcommand-impl to version 1.1.0.

## 1.7.0 - 2021-08-03

### Changed
  - Update to Wadapps 1.11.0.
  - Update copyrights.
  - Update to MMM.

## 1.6.1 (2018-05-07)
Bugfixes:
  - P0095F-226: Added logging messages when installing signed applications, so that there's the same log output as when installing unsigned applications.
  - P0095F-226: Fixed log typos.    
  - Fixed changelog.

## 1.6.0 (2018-04-30)
Feature:
 - Dependency updated to fetch refactored `wadapps-rcommand` and `wadapps-rcommand-impl`.

## 1.5.0 (2017-10-13)
Features:
 - Added command to set or get shared properties.
 - Use LauncherHelper's startAndShow method.
 - Add "run" and "show" commands to start and show applications.
 - Add commands to list activities and to show one of them.

## 1.4.6 (2017-08-08)
Bugfixes:
 - Any exception or error thrown in a lifecycle-related command should result in an error message.
 - Use a valid name for the internal storage of icons.

## 1.4.5 (2017-07-08)
Bugfixes:
 - Allow retrieval of metadata without the icon, by specifying a negative preferred size.

## 1.4.4 (2017-07-06)
Bugfixes:
 - Install commands should consume all bytes in the application binary stream

## 1.4.3 (2017-06-23)
Bugfixes:
 - Gets the icon corresponding to the preferred size.

## 1.4.2 (2017-06-23)
Bugfixes:
 - Close files.

## 1.4.1 (2017-06-21)
Bugfixes:
 - Register the previously added commands.

## 1.4.0 (2017-06-20)
Features:
  - Integrate new commands: InstallApplicationCommand, GetApplicationMetadataCommand and ListCommandCommand.
    
## 1.3.2 (2017-05-05)
Bugfixes:
  - WI19687 Remove the factory reset command.

## 1.3.1 (2017-05-12)
Bugfixes:
  - Synchronize revisions between MANIFEST.MF and Ivy module.

## 1.3.0 (2017-04-28)
Features:
    - Implemented the new version of rcommand-connectivity that adds a method to retrieve a configuration information about the connectivity, e.g. in the form of an URL.

## 1.2.2 (2017-04-12)
Bugfixes:
  - Updated to use build-application v5.5.3 that actually does the LICENCE, README and CHANGELOG publication.

## 1.2.1 (2017-014-12)
Bugfixes:
  - Added missing configuration.

## 1.2.0 (2017-03-20)
Features:
  - WI 19256: Add applicationstore-connection-info support to the wadapps rcommand
Bugfixes:
  - WI 19292: InstallCommandWithMetadata fails to update an application

## 1.1.0 (2017-02-06)
Features:
  - Renamed to commandserver instead of localserver.
  - Added new commands to support installation from an off-board application that connects to the Store.

## 1.0.0 (2017-01-20)
Features:
  - Initial public revision.
