/*
 * Java
 *
 * Copyright 2018-2019 MicroEJ Corp. All rights reserved.
 * For demonstration purpose only.
 * MicroEJ Corp. PROPRIETARY. Use is subject to license terms.
 */
package com.microej.demo.thermorest.cloud.aws;

import java.io.InputStream;

/**
 * Certificate loader finding the file from the resources.
 */
public class ResourceCertificateLoader implements CertificateLoader {

	@Override
	public InputStream loadCertificate(String path) {
		return ResourceCertificateLoader.class.getResourceAsStream(path);
	}

}
