/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.wadapps.app;

import ej.kf.Proxy;

class NotificationProxy extends Proxy<Notification> implements Notification {

	@Override
	public String getTag() {
		try {
			return (String) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return ""; //$NON-NLS-1$
		}
	}

	@Override
	public String getMessage() {
		try {
			return (String) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return ""; //$NON-NLS-1$
		}
	}

	@Override
	public Activity getActivity() {
		try {
			return (Activity) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return null;
		}
	}

}
