/*
 * Java
 *
 * Copyright 2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package googlecloud.iotcore;

import ej.kf.Proxy;

/**
 * Proxy for {@link ConfigListener}.
 */
public class ConfigListenerProxy extends Proxy<ConfigListener> implements ConfigListener {

	@Override
	public void onConfigChanged(byte[] configData) {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
		}
	}

}
